> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Add files to a logbook entry

> Add files to an existing logbook entry of the specified vehicle

<Note>This endpoint deals with defining the names and content types of the files. Use [Get a file upload link](/api-reference/files/get-a-file-upload-link) to upload the actual contents of the files by providing the **UUIDs** and **secret** from the response.</Note>


## OpenAPI

````yaml /api-reference/m2m-api.yml put /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId}
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/logbook/{logbookEntryId}:
    put:
      tags:
        - Logbook
      summary: Add files to a logbook entry
      description: Add files to an existing logbook entry of the specified vehicle
      operationId: addLogbookEntryBlobs
      parameters:
        - in: path
          name: assetProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: The two-letter country code of the asset provider
        - in: path
          name: assetProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: >-
            The three-character code of the asset provider the vehicles belong
            to
        - in: path
          name: vehicleId
          schema:
            type: string
          required: true
          example: AT*ABC*V100006
          description: The id of the vehicle
        - in: path
          name: logbookEntryId
          description: Id of the logbook entry
          required: true
          schema:
            type: string
          example: 1174
      requestBody:
        required: true
        description: Information about the blobs to be uploaded
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/BlobRequest'
      responses:
        '201':
          description: The blob details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlobsResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Vehicle or logbook entry could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    BlobRequest:
      type: object
      required:
        - filename
        - contentType
      properties:
        contentType:
          $ref: '#/components/schemas/FileType'
        filename:
          type: string
          description: A default name will be taken if none is provided
    BlobsResponse:
      type: object
      required:
        - blobs
        - secret
        - itemId
      properties:
        blobs:
          type: array
          items:
            $ref: '#/components/schemas/Blob'
        secret:
          type: string
          description: Secret for retrieving links
          minLength: 1
        itemId:
          description: Id of the item which holds the blobs. May be string or integer
    FileType:
      type: string
      enum:
        - image/jpeg
        - image/png
        - application/pdf
    Blob:
      type: object
      required:
        - uuid
        - filename
        - uploaded
      properties:
        uuid:
          type: string
          format: uuid
        filename:
          type: string
        uploaded:
          type: boolean
          description: Indicates if the BLOB has been uploaded to the storage
          default: false
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````